Get Assets By Vulnerability

This method is used to get the lists of assets linked to the CVE or CVEs specified in the reference value.

KeyMeaningMandatoryData Type
accountidAccount name used to identify the organizationYesstring
referenceCVE ID(s) used to fetch related vulnerable assetsYesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Vulnerability.getAssetsByVulnerability(
  accountid="Demo Account",
  reference=["CVE-2021-3331","CVE-2022-32168"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json